Details

    • Type: Task
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.5
    • Component/s: None
    • Labels:
      None

      Description

      Java 6 has marked performance improvements. Moreover, the latest version of some dependencies require Java 6 (e.g. Hadoop 0.20). We should make a decision about whether we wish to move to Java 6 at this stage.

        Attachments

          Issue Links

            Activity

            Hide
            craigm Craig Macdonald added a comment -

            It /might/ be possible to compile for java 5 still, but need java 6 to run hadoop stuff?

            Show
            craigm Craig Macdonald added a comment - It /might/ be possible to compile for java 5 still, but need java 6 to run hadoop stuff?
            Hide
            craigm Craig Macdonald added a comment -

            Terrier 3.1 will be Java 6 only.

            Show
            craigm Craig Macdonald added a comment - Terrier 3.1 will be Java 6 only.

              People

              • Assignee:
                craigm Craig Macdonald
                Reporter:
                craigm Craig Macdonald
              • Watchers:
                0 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: